package com.dgtis.dorm.manager.db.dao;

import java.util.List;
import com.dgtis.dorm.manager.db.domain.AlumniOrganize;
import com.dgtis.dorm.manager.db.domain.AlumniOrganizeExample;
import org.apache.ibatis.annotations.Param;

public interface AlumniOrganizeMapper {
    long countByExample(AlumniOrganizeExample example);

    int deleteByExample(AlumniOrganizeExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(AlumniOrganize record);

    int insertSelective(AlumniOrganize record);

    List<AlumniOrganize> selectByExample(AlumniOrganizeExample example);

    AlumniOrganize selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") AlumniOrganize record, @Param("example") AlumniOrganizeExample example);

    int updateByExample(@Param("record") AlumniOrganize record, @Param("example") AlumniOrganizeExample example);

    int updateByPrimaryKeySelective(AlumniOrganize record);

    int updateByPrimaryKey(AlumniOrganize record);

    int countOrganize(AlumniOrganize organize);
}